# Change Log

All notable changes to this project will be documented in this file. See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [0.9.0](https://github.com/energywebfoundation/ew-did-registry/compare/v0.8.0...v0.9.0) (2023-07-20)

### Bug Fixes

- add test for service endpoint duplicate check ([397f654](https://github.com/energywebfoundation/ew-did-registry/commit/397f6548328ad16f2deaf12705f4ceb33f5d0263))
- upgrade dependencies ([ae2dcf7](https://github.com/energywebfoundation/ew-did-registry/commit/ae2dcf717068d433c646e519d8e1c989837511c6))

### Features

- validate duplicate service endpoint addition ([4d7d3d0](https://github.com/energywebfoundation/ew-did-registry/commit/4d7d3d074163bfc26ed20479abfd08f3987afb3d))

# [0.8.0](https://github.com/energywebfoundation/ew-did-registry/compare/v0.7.0...v0.8.0) (2022-09-29)

**Note:** Version bump only for package @ew-did-registry/did-ethr-resolver

# [0.7.0](https://github.com/energywebfoundation/ew-did-registry/compare/v0.6.2...v0.7.0) (2022-08-09)

### Bug Fixes

- remove support for DWN service endpoints ([994bb6f](https://github.com/energywebfoundation/ew-did-registry/commit/994bb6f22f0f7746a96edea52d57628828ed0f74))
- **serviceEndpoint:** Service should have service endpoint ([67db59a](https://github.com/energywebfoundation/ew-did-registry/commit/67db59ac568ef87a1d2320cc1fd5957b9d81d93c))
- validate credential status without status list ([4308f21](https://github.com/energywebfoundation/ew-did-registry/commit/4308f21a86ddd543365d9a24f7ffab8903ea0941))
- **wrapDidDocument:** actually make copy ([68529df](https://github.com/energywebfoundation/ew-did-registry/commit/68529df0a3d8ad209873b40c73e7e13a4e79a629))

### Features

- **@ew-did-registry/jwt:** verify ES256 ([028fb9c](https://github.com/energywebfoundation/ew-did-registry/commit/028fb9cd9ad5f123ecd47c5842bf8e5d21e2c022))
- **build:** config packages webpack ([33ae38d](https://github.com/energywebfoundation/ew-did-registry/commit/33ae38d72027c262c0e80e96c9a7fefc7bb5bd90))
- **build:** polyfill Node.js modules ([42c5e23](https://github.com/energywebfoundation/ew-did-registry/commit/42c5e23d6c8356ec473d2730beeb1d7b8c3208ed))

### BREAKING CHANGES

- **@ew-did-registry/jwt:** JWT initialized from Keys and Signer are non-standard ES256K

## [0.6.1](https://github.com/energywebfoundation/ew-did-registry/compare/v0.6.0...v0.6.1) (2021-10-08)

**Note:** Version bump only for package @ew-did-registry/did-ethr-resolver

# [0.6.0](https://github.com/energywebfoundation/ew-did-registry/compare/v0.5.1...v0.6.0) (2021-10-06)

### Bug Fixes

- **@ew-did-registry/did-ethr-resolver:** identity tx by name ([79194f7](https://github.com/energywebfoundation/ew-did-registry/commit/79194f703612f037f29c5b2a694041bcb7036c49))
- **did-ethr-resolver:** removing caching from resolver.ts ([c90168f](https://github.com/energywebfoundation/ew-did-registry/commit/c90168f407e089fe37bbcb39435b1c26b8e46ae8))
- **ethers:** updated to ethers version ^5.4.6 ([8eb0648](https://github.com/energywebfoundation/ew-did-registry/commit/8eb06486040f76c36e543ded141bc3b5bb8ad0e8))
- **Operator:** Resolver base class was always using default provider ([#327](https://github.com/energywebfoundation/ew-did-registry/issues/327)) ([4e01826](https://github.com/energywebfoundation/ew-did-registry/commit/4e0182687ab0e9b441898fc8162101c9648d2471))
- **packages:** preparing merge ([4d3382c](https://github.com/energywebfoundation/ew-did-registry/commit/4d3382c40845841e791d999918403a2c512d0cbd))
- **resolver:** readOnwerPubKey() handle key with 0x ([b337a8b](https://github.com/energywebfoundation/ew-did-registry/commit/b337a8ba27f150eb0c19ae5cb623ff942819d809))

### Features

- **eslint:** setting eslint ([0e77331](https://github.com/energywebfoundation/ew-did-registry/commit/0e773310ca665aac97d32adb5ac6bd453632bdde))
- **eslint:** setting eslint ([f9626e0](https://github.com/energywebfoundation/ew-did-registry/commit/f9626e002a47f15df61a4d7290218026bdcf57cf))
- **ethers packages:** Updating ethers from 5.3.1 to 5.4.0 ([cee0da7](https://github.com/energywebfoundation/ew-did-registry/commit/cee0da757f618f559245d30994fa59ca44b57767))
- **EwJsonRpcSigner:** construct from ethers provider ([3705c4c](https://github.com/energywebfoundation/ew-did-registry/commit/3705c4cfcada283c0d5fe5c2521ad9c39be0d595))
- **EwSigner:** add fromEthersSigner ([#328](https://github.com/energywebfoundation/ew-did-registry/issues/328)) ([921886b](https://github.com/energywebfoundation/ew-did-registry/commit/921886becbf8bd40e5181c269389b2e64e977903))

## [0.5.3](https://github.com/energywebfoundation/ew-did-registry/compare/v0.6.0...v0.5.3) (2021-10-04)

**Note:** Version bump only for package @ew-did-registry/did-ethr-resolver

## [0.5.2](https://github.com/energywebfoundation/ew-did-registry/compare/v0.6.0...v0.5.2) (2021-10-04)

**Note:** Version bump only for package @ew-did-registry/did-ethr-resolver

## [0.5.1](https://github.com/energywebfoundation/ew-did-registry/compare/v0.5.0...v0.5.1) (2021-04-06)

**Note:** Version bump only for package @ew-did-registry/did-ethr-resolver

# [0.5.0](https://github.com/energywebfoundation/ew-did-registry/compare/v0.4.2...v0.5.0) (2021-03-30)

### Features

- **@ew-did-registry/did-ethr-resolver:** reuse highlevel funcs ([e5d8ed3](https://github.com/energywebfoundation/ew-did-registry/commit/e5d8ed3b670ddc56ee002b2901722acc820a1446))

# [0.4.0](https://github.com/energywebfoundation/ew-did-registry/compare/v0.3.0...v0.4.0) (2021-03-22)

### Features

- **@ew-did-registry/proxyidenity:** timestamp in events ([3826a35](https://github.com/energywebfoundation/ew-did-registry/commit/3826a354193da67dc3260a0add7789cfdba02689))
- **@ew-did-registry/proxyidentity:** send tx through identity ([55e21e6](https://github.com/energywebfoundation/ew-did-registry/commit/55e21e6b368d536a2cf455726d5f8aaabac7a62d))
- **@ew-did-registry/proxyidentity:** test identity transfer ([6026bc1](https://github.com/energywebfoundation/ew-did-registry/commit/6026bc18c1e60b52194ceadaa8205a16d3186346))

# [0.3.0](https://github.com/energywebfoundation/ew-did-registry/compare/v0.2.0...v0.3.0) (2021-03-19)

### Features

- **@ew-did-registry/did-ethr-resolver:** compile in strict mode ([4315227](https://github.com/energywebfoundation/ew-did-registry/commit/4315227d704364211ed66864eac3bc6a84262681))

# 0.2.0 (2021-03-19)

### Bug Fixes

- remove prerelease id ([09d4aec](https://github.com/energywebfoundation/ew-did-registry/commit/09d4aec87b2ad3e960d3907c641d6152c118e68b))
- **@ew-did-registry/did-ethr-resolver:** replace ethers internal imports ([bc03513](https://github.com/energywebfoundation/ew-did-registry/commit/bc0351339984a241ae33173acd5b8af15cc1a1e7))
- **@ew-did-registry/did-ethr-resolver:** update with zero validity ([7381837](https://github.com/energywebfoundation/ew-did-registry/commit/7381837efee63a97ad1b790a90389b2ceb7a649c))
- **@ew-did-registry/did-ethr-resolver:** wrap read attribute in document ([083642c](https://github.com/energywebfoundation/ew-did-registry/commit/083642cdd052f93cf64009ecbef507c4f0d4ff1a))

### Features

- replace web3 in resolver ([77759b6](https://github.com/energywebfoundation/ew-did-registry/commit/77759b681e9a4937097db34e6e01ba2a48a15f80))
- **@ew-did-registry/did-document:** test restore doc from logs ([590e0ef](https://github.com/energywebfoundation/ew-did-registry/commit/590e0efa9d08b433f84fd372e0ab1689ce96a627))
- **@ew-did-registry/did-ethr-resolver:** add documentFromLogs ([aa00834](https://github.com/energywebfoundation/ew-did-registry/commit/aa008349867af4430f9805a1b77d3f22b5d3730b))
- **@ew-did-registry/did-ethr-resolver:** add readFromBlock ([faffd31](https://github.com/energywebfoundation/ew-did-registry/commit/faffd316d655d730db1f61348fa643e7f9e8af4d))
- **@ew-did-registry/did-ethr-resolver:** update to return block number ([1f1e7d7](https://github.com/energywebfoundation/ew-did-registry/commit/1f1e7d77a24133f0165dc31e053f1524dcbdeabf))

# 0.1.0-alpha.0 (2021-02-25)

### Bug Fixes

- **@ew-did-registry/did-ethr-resolver:** replace ethers internal imports ([bc03513](https://github.com/energywebfoundation/ew-did-registry/commit/bc0351339984a241ae33173acd5b8af15cc1a1e7))
- **@ew-did-registry/did-ethr-resolver:** update with zero validity ([7381837](https://github.com/energywebfoundation/ew-did-registry/commit/7381837efee63a97ad1b790a90389b2ceb7a649c))
- **@ew-did-registry/did-ethr-resolver:** wrap read attribute in document ([083642c](https://github.com/energywebfoundation/ew-did-registry/commit/083642cdd052f93cf64009ecbef507c4f0d4ff1a))

### Features

- replace web3 in resolver ([77759b6](https://github.com/energywebfoundation/ew-did-registry/commit/77759b681e9a4937097db34e6e01ba2a48a15f80))
- **@ew-did-registry/did-document:** test restore doc from logs ([590e0ef](https://github.com/energywebfoundation/ew-did-registry/commit/590e0efa9d08b433f84fd372e0ab1689ce96a627))
- **@ew-did-registry/did-ethr-resolver:** add documentFromLogs ([aa00834](https://github.com/energywebfoundation/ew-did-registry/commit/aa008349867af4430f9805a1b77d3f22b5d3730b))
- **@ew-did-registry/did-ethr-resolver:** add readFromBlock ([faffd31](https://github.com/energywebfoundation/ew-did-registry/commit/faffd316d655d730db1f61348fa643e7f9e8af4d))
- **@ew-did-registry/did-ethr-resolver:** update to return block number ([1f1e7d7](https://github.com/energywebfoundation/ew-did-registry/commit/1f1e7d77a24133f0165dc31e053f1524dcbdeabf))

## [0.0.1-alpha.694.2](https://github.com/energywebfoundation/ew-did-registry/compare/v0.0.1-alpha.877.0...v0.0.1-alpha.694.2) (2021-02-19)

## [0.0.1-alpha.694.1](https://github.com/energywebfoundation/ew-did-registry/compare/v0.0.1-alpha.776.0...v0.0.1-alpha.694.1) (2020-11-17)

**Note:** Version bump only for package @ew-did-registry/did-ethr-resolver
