import { Wallet, Signer } from 'ethers';
import { Encoding, IPublicKey } from '@ew-did-registry/did-resolver-interface';
export declare const compressedSecp256k1KeyLength = 66;
export declare const walletPubKey: ({ privateKey }: Wallet) => string;
export declare function signerPubKey(signer: Signer): Promise<string>;
export declare function encodedPubKeyName(encoding: Encoding): keyof IPublicKey;
export declare function hexify(value: string | object): string;
/**
 * Checks if did is valid, and returns the address if it is
 *
 * @param did
 */
export declare function addressOf(did: string): string;
/**
 * Checks if did has a valid pattern, and returns the matched pattern array if it is
 *
 * @param did
 */
export declare function matchDIDPattern(did: string): RegExpMatchArray;
